#include <stdlib.h>
#include <stdio.h>

typedef enum color_t {
	WHITE   = 0xFFFFFF,
    BLACK   = 0x000000,
    RED     = 0xFF0000, 
    YELLOW  = 0xFFFF00,
    GREEN   = 0x00FF00,
    CYAN    = 0x00FFFF,
    BLUE    = 0x0000FF,
    MAGENTA = 0xFF00FF
} color;

void printColors(color colors[], int colorsLength) {
	for(int i=0; i<colorsLength; i++) {
		printf("Das %dte Element ist: #%6.6x\n", i+1, colors[i]);
	}
}

int main() {
	color colors[] = {RED, YELLOW, GREEN, CYAN, BLUE, MAGENTA, RED, BLUE, YELLOW};
	int colorsLength = sizeof(colors)/sizeof(color);
	printColors(colors, colorsLength);
	return 0;
}
